For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update a team

This endpoint updates the details of a team specified by the team_id. It allows modification of various team attributes such as the team name, company details, phone number, website URL, address, and

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint updates the details of a team specified by the team_id. It allows modification of various team attributes such as the team name, company details, phone number, website URL, address, and more."

Update a team

Update a team

patch

This endpoint updates the details of a team specified by the team_id. It allows modification of various team attributes such as the team name, ompany details, phone number, website URL, address, and more.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Body
Responses
200

The updated team.

application/json
patch/v2/teams
PATCH /v2/teams HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 374

{
  "team": {
    "businessIdentifier": "biz_456XYZ",
    "companyAddress": {
      "addressLine": "123 Main St",
      "postcode": "12345"
    },
    "companyName": "Awesome Corp",
    "companyPhone": "+1-800-555-0123",
    "companyWebsite": "https://www.awesomecorp.com",
    "id": "team_123XYZ",
    "logoId": "biz_456XYZ",
    "name": "Alpha Team",
    "onBehalfOf": "Sponsor Corp",
    "reviewerEmail": "reviewer@example.com",
    "sellerId": "seller_789LMN"
  }
}
{
  "team": {
    "businessIdentifier": "biz_456XYZ",
    "companyAddress": {
      "addressLine": "123 Main St",
      "postcode": "12345"
    },
    "companyName": "Awesome Corp",
    "companyPhone": "+1-800-555-0123",
    "companyType": "COMPANY_TYPE_RETAILER",
    "companyWebsite": "https://www.awesomecorp.com",
    "id": "team_123XYZ",
    "industryType": "INDUSTRY_TYPE_GROCERY",
    "logoId": "biz_456XYZ",
    "modifyTime": "2024-09-01T12:34:56Z",
    "name": "Alpha Team",
    "namespaceId": "namespace_987ABC",
    "onBehalfOf": "Sponsor Corp",
    "reviewerEmail": "reviewer@example.com",
    "sellerId": "seller_789LMN"
  }
}